Loading...
Searching...
No Matches
msg_passing.h File Reference
`#include <gnuradio/api.h>`
`#include <gnuradio/messages/msg_accepter.h>`
`#include <pmt/pmt.h>`
Include dependency graph for msg_passing.h:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::messages

## Functions

static pmt::pmt_t | gr::messages::send (msg_accepter_sptr accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
static pmt::pmt_t | gr::messages::send (msg_accepter *accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
static pmt::pmt_t | gr::messages::send (msg_accepter &accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter
static pmt::pmt_t | gr::messages::send (pmt::pmt_t accepter, const pmt::pmt_t &which_port, const pmt::pmt_t &msg)
| send message to msg_accepter